[B048] Drug clinical result group information
Obtain clinical result group data through clinical result ID
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 5adee5585028aaa5da5982d22a808a99 | 临床结果ID,通过临床结果检索接口获取 |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
groups | array | [
{
"group_id": "854d42290a95a38d05d90422e5392822",
"group_type": "outcome_group",
"ct_result_id": "a452da8e32d890452d5ea82ee823d8e5",
"characteristic": [
{
"name": "Tocilizumab",
"type": "drug"
}
]
}
] | Group information |
group_id | string | e2e088e8e8aeda8aa2a2924ee3a59828 | Clinical trial result group id |
group_type | string | outcome_group | Clinical trial result group type |
ct_result_id | string | 5adee5585028aaa5da5982d22a808a99 | Clinical trial result id |
characteristic | array | [
{
"name": "Tocilizumab",
"type": "drug"
}
] | Clinical trial result grouping characteristics and medication plan |
name | string | Sotorasib | Group characteristics or medication plan name |
type | string | drug | Group characteristics or medication plan type |
participant_number | string | 7 | Clinical trial result group participant number |
outcome_measures | array | [
{
"name": "CRP levels",
"measure_id": "M1",
"result_list": [
{
"value": "4.6",
"group_id": "854d42290a95a38d05d90422e5392822"
}
],
"ct_result_id": "a452da8e32d890452d5ea82ee823d8e5",
"display_name": [
{
"lang": "EN",
"name": "CRP levels"
},
{
"lang": "CN",
"name": "CRP levels"
}
],
"outcome_order": 1,
"unit_of_measure": "mg/L"
}
] | Outcome measure information |
name | string | Maximum Observed Plasma Concentration (Cmax) of Sotorasib | Measure name |
type | string | Primary | Measure type |
measure_id | string | M1 | Measure id |
param_type | string | Geometric Mean | Param type |
result_list | array | [
{
"value": "4.6",
"group_id": "854d42290a95a38d05d90422e5392822"
}
] | Measure value |
pct | string | 20 | Evaluation result ratio |
value | string | 5080 | Evaluation result value |
spread | string | 108.5 | Evaluation result spread |
group_id | string | e2e088e8e8aeda8aa2a2924ee3a59828 | Evaluation result group id |
lower_value | string | 0.1 | Evaluation result lower Value |
upper_value | string | 0.5 | Evaluation result upper Value |
participant_analyzed | string | 7 | Evaluation result participants count |
participant_analyzed_units | string | Participants | Evaluation result participants count units |
ct_result_id | string | 5adee5585028aaa5da5982d22a808a99 | Clinical trial result id |
display_name | array | [
{
"lang": "EN",
"name": "CRP levels"
},
{
"lang": "CN",
"name": "CRP levels"
}
] | Display Measure Name |
lang | string | EN | Language |
name | string | Ranibizumab (Genentech) | Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name |
normalized_id | array | [
"9410c1945fa14130b1a205394e3c2361"
] | Measure normalized id |
outcome_order | integer<int32> | 1 | Measure order |
dispersion_type | string | Geometric Coefficient of Variation | Dispersion type |
display_section | string | Adverse Event | Display section |
unit_of_measure | string | ng/mL | Unit of measure |
parent_measure_id | string | OE1 | Parent measure id |
outcome_measure_safety | array | [
{
"name": "CRP levels",
"measure_id": "M1",
"result_list": [
{
"value": "4.6",
"group_id": "854d42290a95a38d05d90422e5392822"
}
],
"ct_result_id": "a452da8e32d890452d5ea82ee823d8e5",
"display_name": [
{
"lang": "EN",
"name": "CRP levels"
},
{
"lang": "CN",
"name": "CRP levels"
}
],
"outcome_order": 1,
"unit_of_measure": "mg/L"
}
] | Outcome measure information - safety |
outcome_measure_efficacy | array | [
{
"name": "CRP levels",
"measure_id": "M1",
"result_list": [
{
"value": "4.6",
"group_id": "854d42290a95a38d05d90422e5392822"
}
],
"ct_result_id": "a452da8e32d890452d5ea82ee823d8e5",
"display_name": [
{
"lang": "EN",
"name": "CRP levels"
},
{
"lang": "CN",
"name": "CRP levels"
}
],
"outcome_order": 1,
"unit_of_measure": "mg/L"
}
] | Outcome measure information - efficacy |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"groups": [
{
"group_id": "e2e088e8e8aeda8aa2a2924ee3a59828",
"group_type": "outcome_group",
"ct_result_id": "5adee5585028aaa5da5982d22a808a99",
"characteristic": [
{
"name": "Sotorasib",
"type": "drug"
}
],
"participant_number": 7
}
],
"outcome_measures": [
{
"name": "Maximum Observed Plasma Concentration (Cmax) of Sotorasib",
"type": "Primary",
"measure_id": "M1",
"param_type": "Geometric Mean",
"result_list": [
{
"pct": 20,
"value": 5080,
"spread": 108.5,
"group_id": "e2e088e8e8aeda8aa2a2924ee3a59828",
"lower_value": 0.1,
"upper_value": 0.5,
"participant_analyzed": 7,
"participant_analyzed_units": "Participants"
}
],
"ct_result_id": "5adee5585028aaa5da5982d22a808a99",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": [
"9410c1945fa14130b1a205394e3c2361"
],
"outcome_order": 1,
"dispersion_type": "Geometric Coefficient of Variation",
"display_section": "Adverse Event",
"unit_of_measure": "ng/mL",
"parent_measure_id": "OE1"
}
],
"outcome_measure_safety": [
{
"name": "Maximum Observed Plasma Concentration (Cmax) of Sotorasib",
"type": "Primary",
"measure_id": "M1",
"param_type": "Geometric Mean",
"result_list": [
{
"pct": 20,
"value": 5080,
"spread": 108.5,
"group_id": "e2e088e8e8aeda8aa2a2924ee3a59828",
"lower_value": 0.1,
"upper_value": 0.5,
"participant_analyzed": 7,
"participant_analyzed_units": "Participants"
}
],
"ct_result_id": "5adee5585028aaa5da5982d22a808a99",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": [
"9410c1945fa14130b1a205394e3c2361"
],
"outcome_order": 1,
"dispersion_type": "Geometric Coefficient of Variation",
"display_section": "Adverse Event",
"unit_of_measure": "ng/mL",
"parent_measure_id": "OE1"
}
],
"outcome_measure_efficacy": [
{
"name": "Maximum Observed Plasma Concentration (Cmax) of Sotorasib",
"type": "Primary",
"measure_id": "M1",
"param_type": "Geometric Mean",
"result_list": [
{
"pct": 20,
"value": 5080,
"spread": 108.5,
"group_id": "e2e088e8e8aeda8aa2a2924ee3a59828",
"lower_value": 0.1,
"upper_value": 0.5,
"participant_analyzed": 7,
"participant_analyzed_units": "Participants"
}
],
"ct_result_id": "5adee5585028aaa5da5982d22a808a99",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": [
"9410c1945fa14130b1a205394e3c2361"
],
"outcome_order": 1,
"dispersion_type": "Geometric Coefficient of Variation",
"display_section": "Adverse Event",
"unit_of_measure": "ng/mL",
"parent_measure_id": "OE1"
}
]
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms